<block-ui message="Loading..."></block-ui>
<div class="col-xl-12 c-alert pl-0 pr-0">
  <app-alert [message]="message" [type]="type" id="alert"></app-alert>
</div>
<span class="mb-3 mt-3" id="heading" style="padding-left: 16px;">
  {{ addItem ? ' Add Email Template' : 'Edit Email Template' }}
</span>


<div class="bg-white custom-form-update">
  <mat-tab-group>
    <mat-tab label="Details">

      <form autocomplete="off" [formGroup]="emailForm">
        <div class="form-group ">
          <div class="row pt-3">
            <div class="col-xl-4 custom-border">
              <div class="row pl-3 pr-3">
                <div class="col-xl-12 text-right pr-0  mb-1">
                  <span style="color: #939393;">Required</span>
                </div>
                <!-- Template Name  -->
                <div class="col-xl-12 d-flex align-items-left pr-0">
                  <mat-form-field [appearance]="apperance" class="full-width" id="templatename-field">
                    <mat-label class="custom-input-label-text">Template Name</mat-label>
                    <input matInput placeholder="Template Name" maxlength="100" formControlName="name" required
                           appCharLimit appTextOnly
                           [frmGroup]="emailForm" fcName="name" [max]="100"/>
                    <mat-icon matSuffix
                              [ngClass]="{'icon-invalid pointer-wrapper' :  (emailForm.get('name').dirty || emailForm.get('name').touched)}"
                              (click)="cleartext('templatename')">
                      cancel
                    </mat-icon>

                    <mat-error *ngIf="emailForm.get('name').hasError('exceedLimit')">
                      {{emailForm.get('name').getError('exceedLimit')}}
                    </mat-error>

                    <mat-error *ngIf="emailForm.get('name').hasError('required')">
                      Template Name is required.
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row pl-3 pr-3 bottommargin">
                <div class="col-xl-6 text-left  mb-1">
                  <span style="color: #939393;" class="field-custom-label">Location:</span>
                </div>
                <div class="col-xl-6 text-right pr-0 mb-1">
                  <span style="color: #939393;">Required</span>
                </div>
                <!-- Location  -->
                <div class="col-xl-12 d-flex align-items-left pr-0">
                  <kendo-multiselect [data]="locationData" placeholder="Location Name" [filterable]="true"
                                     [textField]="'locationName'" [valueField]="'locationId'"
                                     [value]="bussinesstemplate.businessTemplateLocations"
                                     (valueChange)="onLocationChange($event)" formControlName="locationName"
                                     [kendoDropDownFilter]="filterSettings">
                  </kendo-multiselect>
                </div>

              </div>
              <div class="row pb-2 pl-3 pr-3">
                <!-- Description  -->
                <div class="col-xl-12 d-flex align-items-left pr-0">
                  <mat-form-field [appearance]="apperance" class="full-width">
                    <mat-label class="custom-input-label-text">Description</mat-label>
                    <textarea matInput placeholder="Description" formControlName="description" rows="3" appCharLimit
                              [frmGroup]="emailForm" fcName="description" [max]="250"></textarea>

                    <mat-error *ngIf="emailForm.get('description').hasError('exceedLimit')">
                      {{emailForm.get('description').getError('exceedLimit')}}
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row pb-2 pl-3 pr-3">
                <!-- Tag  -->
                <div class="col-xl-12 d-flex align-items-left pr-0">
                  <kendo-card class="c-kendo-card">
                    <kendo-card-body>
                      <div (click)="toggleRecipe()">
                        <span>
                          <b>Tags</b>
                          <span [ngClass]="heartIcon()" (click)="toggleLike()"></span>
                        </span>
                      </div>
                      <div *ngIf="expanded">
                        <hr kendoCardSeparator/>
                        <div class="recipe-wrap">
                          <kendo-treeview [nodes]="data" textField="text" kendoTreeViewExpandable
                                          kendoTreeViewSelectable kendoTreeViewHierarchyBinding childrenField="items">
                            <!-- [selectBy]="'text'" [(selectedKeys)]="selectedKeys" (click)="expand()" [(expandedKeys)]="expandedKeys" -->
                            <ng-template kendoTreeViewNodeTemplate let-dataItem draggable="true">
                              <span>
                                {{
                                dataItem.class1
                                }}&nbsp;
                                {{ dataItem.text }}&nbsp;{{
                                dataItem.class2
                                }}
                              </span>
                            </ng-template>
                          </kendo-treeview>
                        </div>
                      </div>
                    </kendo-card-body>
                  </kendo-card>
                </div>
              </div>
            </div>
            <div class="col-xl-8">
              <div class="row pb-2 pl-3 pr-3">
                <div class="col-xl-12 text-right pr-0">
                  <span style="color: #939393;">Required</span>
                </div>
                <!-- Subject  -->
                <div class="col-xl-12 d-flex align-items-left pr-0">
                  <mat-form-field [appearance]="apperance" class="full-width" id="templatename-field">
                    <mat-label class="custom-input-label-text">Subject</mat-label>
                    <input matInput placeholder="Subject" formControlName="subject" required appCharLimit appTextOnly
                           [frmGroup]="emailForm" fcName="subject" [max]="250" />

                    <mat-icon matSuffix
                      [ngClass]="{'icon-invalid pointer-wrapper' :  (emailForm.get('subject').dirty || emailForm.get('subject').touched)}"
                      (click)="cleartext('subject')">
                      cancel
                    </mat-icon>

                    <mat-error *ngIf="emailForm.get('subject').hasError('exceedLimit')">
                      {{emailForm.get('subject').getError('exceedLimit')}}
                    </mat-error>

                    <mat-error *ngIf="emailForm.get('subject').hasError('required')">
                      This field is required.
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row pb-2 pl-3 pr-3">
                <div style="width: 100%;">
                  <!-- Document Description  -->
                  <div class="col-xl-12 d-flex align-items-left pr-0">
                    <ckeditor formControlName="body" [config]="ckeConfig" debounce="500" style="width: 100%;">
                    </ckeditor>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <mat-divider style="margin-left: 40px;"></mat-divider>
        <div class="bottom-bar-wrapper">
          <div class="text-left control-row deletebutton" style="padding-left: 40px;">
            <div class="pt-3" *appAccess="moduleName;lookFor: ['D']">
              <button *ngIf="!addItem" mat-raised-button class="deletebutton-wrapper custom-delete-btn"
                      (click)="delete()">
                Delete
              </button>
            </div>
          </div>
          <div class="text-right control-row">
            <div class="pt-3">
              <div *appAccess="moduleName;lookFor: ['C', 'E']">
                <button *ngIf="!addItem" mat-stroked-button color="accent" type="button" class="mr-3 deletebutton-wrapper"
                        (click)="duplicate()">
                  Duplicate
                </button>
              </div>
              <button mat-stroked-button color="accent" class="mr-3" type="button" (click)="cancel()">
                Cancel
              </button>
              <button type="submit" *appAccess="moduleName;lookFor: ['C', 'E']" mat-raised-button color="accent" class="footer-btn-customize" [disabled]="emailForm.invalid"
                      (click)="submitform()">
                <span>Save</span>
              </button>
            </div>
          </div>
        </div>

      </form>
    </mat-tab>
  </mat-tab-group>
  <div class="d-flex justify-content-end custom-switch" [formGroup]="emailForm">
    <h5 class="">Status</h5>
    <kendo-switch [onLabel]="'Active'" formControlName="status" [offLabel]="'Inactive'" class=" ml-3 wide-switch">
    </kendo-switch>
  </div>
</div>
<!-- Delete Template Dialog Start -->
<kendo-dialog *ngIf="opened" (close)="close('cancel')" [height]="auto" [width]="680">
  <div class="modalHeight">
    <div class="col-xl-12 p-0">
      <div class="custom-delete-modal">
        <span class="QUI_BOLD_18_32 deletetext">
          Do you wish to delete this template?
        </span>
        <button mat-icon-button (click)="close()" aria-label="Close dialog">
          <mat-icon>close</mat-icon>
        </button>
      </div>
    </div>
    <mat-divider class=""></mat-divider>
    <div class="deleteDescription custom-dlt-content">
      <p class="HEL_REG_16_22 patientdeletemodal custom-font lightcolor">Deleted template cannot be restored.</p>
    </div>
    <mat-divider></mat-divider>
    <mat-dialog-content>
      <div class="text-right control-row bottom-btn">
        <div class="pt-3">
          <button mat-stroked-button color="accent" class="mr-3" (click)="close();" style="padding: 0 30px">
            No
          </button>
          <button mat-raised-button color="accent" class="" (click)="confirdelete('yes','delete');"
                  style="padding: 0 30px">
            Yes
          </button>

        </div>
      </div>
    </mat-dialog-content>
  </div>
</kendo-dialog>
<!-- Delete Template Dialog End -->
<!-- Duplicate Template Dialog Start -->
<kendo-dialog *ngIf="openedduplicate" (close)="close('cancel')" [height]="auto" [width]="790">
  <div class="modalHeight">
    <div class="col-xl-12 p-0">
      <div class="custom-delete-modal">
        <span class="QUI_BOLD_24_32 deletetext">
          DO YOU WISH TO DUPLICATE THIS EMAIL TEMPLATE?
        </span>
        <button mat-icon-button (click)="close()" aria-label="Close dialog">
          <mat-icon>close</mat-icon>
        </button>
      </div>
    </div>
    <mat-divider class=""></mat-divider>
    <div class="deleteDescription custom-dlt-content">
      <p class="HEL_REG_16_22 patientdeletemodal custom-font mt-2 lightcolor">
        Click "Yes",to save the changes made to the current template and create a duplicate.
      </p>
    </div>
    <mat-divider></mat-divider>
    <mat-dialog-content>
      <div class="text-right control-row bottom-btn">
        <div class="pt-3">
          <button mat-stroked-button color="accent" class="mr-3" (click)="close();" style="padding: 0 30px">
            No
          </button>
          <button mat-raised-button color="accent" class="" (click)="confirdelete('yes','duplicate');"
                  style="padding: 0 30px">
            Yes
          </button>

        </div>
      </div>
    </mat-dialog-content>
  </div>
</kendo-dialog>
<!-- Duplicate Template Dialog End -->
